<?php

namespace LaGangaServices\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RechazarFacturaInternet StructType
 * @package LaGangaServices
 * @subpackage Structs
 */
class LaGangaServicesRechazarFacturaInternet extends AbstractStructBase
{
    /**
     * The pPedido
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pPedido;
    /**
     * The pObservacion
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pObservacion;
    /**
     * Constructor method for RechazarFacturaInternet
     * @uses LaGangaServicesRechazarFacturaInternet::setPPedido()
     * @uses LaGangaServicesRechazarFacturaInternet::setPObservacion()
     * @param int $pPedido
     * @param string $pObservacion
     */
    public function __construct($pPedido = null, $pObservacion = null)
    {
        $this
            ->setPPedido($pPedido)
            ->setPObservacion($pObservacion);
    }
    /**
     * Get pPedido value
     * @return int
     */
    public function getPPedido()
    {
        return $this->pPedido;
    }
    /**
     * Set pPedido value
     * @param int $pPedido
     * @return \LaGangaServices\StructType\LaGangaServicesRechazarFacturaInternet
     */
    public function setPPedido($pPedido = null)
    {
        // validation for constraint: int
        if (!is_null($pPedido) && !(is_int($pPedido) || ctype_digit($pPedido))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pPedido, true), gettype($pPedido)), __LINE__);
        }
        $this->pPedido = $pPedido;
        return $this;
    }
    /**
     * Get pObservacion value
     * @return string|null
     */
    public function getPObservacion()
    {
        return $this->pObservacion;
    }
    /**
     * Set pObservacion value
     * @param string $pObservacion
     * @return \LaGangaServices\StructType\LaGangaServicesRechazarFacturaInternet
     */
    public function setPObservacion($pObservacion = null)
    {
        // validation for constraint: string
        if (!is_null($pObservacion) && !is_string($pObservacion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pObservacion, true), gettype($pObservacion)), __LINE__);
        }
        $this->pObservacion = $pObservacion;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LaGangaServices\StructType\LaGangaServicesRechazarFacturaInternet
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
