<?php

namespace LaGangaServices\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WSProductos StructType
 * @package LaGangaServices
 * @subpackage Structs
 */
class LaGangaServicesWSProductos extends AbstractStructBase
{
    /**
     * The pedido
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pedido;
    /**
     * The codigoproducto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $codigoproducto;
    /**
     * The precioproducto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $precioproducto;
    /**
     * The cantidadproducto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $cantidadproducto;
    /**
     * The precionormal
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $precionormal;
    /**
     * The preciooferta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $preciooferta;
    /**
     * The preciocredito
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $preciocredito;
    /**
     * The precioganguita
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $precioganguita;
    /**
     * The ganguitas
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ganguitas;
    /**
     * The formadepago
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $formadepago;
    /**
     * The estado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $estado;
    /**
     * Constructor method for WSProductos
     * @uses LaGangaServicesWSProductos::setPedido()
     * @uses LaGangaServicesWSProductos::setCodigoproducto()
     * @uses LaGangaServicesWSProductos::setPrecioproducto()
     * @uses LaGangaServicesWSProductos::setCantidadproducto()
     * @uses LaGangaServicesWSProductos::setPrecionormal()
     * @uses LaGangaServicesWSProductos::setPreciooferta()
     * @uses LaGangaServicesWSProductos::setPreciocredito()
     * @uses LaGangaServicesWSProductos::setPrecioganguita()
     * @uses LaGangaServicesWSProductos::setGanguitas()
     * @uses LaGangaServicesWSProductos::setFormadepago()
     * @uses LaGangaServicesWSProductos::setEstado()
     * @param string $pedido
     * @param string $codigoproducto
     * @param string $precioproducto
     * @param string $cantidadproducto
     * @param string $precionormal
     * @param string $preciooferta
     * @param string $preciocredito
     * @param string $precioganguita
     * @param string $ganguitas
     * @param string $formadepago
     * @param string $estado
     */
    public function __construct($pedido = null, $codigoproducto = null, $precioproducto = null, $cantidadproducto = null, $precionormal = null, $preciooferta = null, $preciocredito = null, $precioganguita = null, $ganguitas = null, $formadepago = null, $estado = null)
    {
        $this
            ->setPedido($pedido)
            ->setCodigoproducto($codigoproducto)
            ->setPrecioproducto($precioproducto)
            ->setCantidadproducto($cantidadproducto)
            ->setPrecionormal($precionormal)
            ->setPreciooferta($preciooferta)
            ->setPreciocredito($preciocredito)
            ->setPrecioganguita($precioganguita)
            ->setGanguitas($ganguitas)
            ->setFormadepago($formadepago)
            ->setEstado($estado);
    }
    /**
     * Get pedido value
     * @return string|null
     */
    public function getPedido()
    {
        return $this->pedido;
    }
    /**
     * Set pedido value
     * @param string $pedido
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPedido($pedido = null)
    {
        // validation for constraint: string
        if (!is_null($pedido) && !is_string($pedido)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pedido, true), gettype($pedido)), __LINE__);
        }
        $this->pedido = $pedido;
        return $this;
    }
    /**
     * Get codigoproducto value
     * @return string|null
     */
    public function getCodigoproducto()
    {
        return $this->codigoproducto;
    }
    /**
     * Set codigoproducto value
     * @param string $codigoproducto
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setCodigoproducto($codigoproducto = null)
    {
        // validation for constraint: string
        if (!is_null($codigoproducto) && !is_string($codigoproducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoproducto, true), gettype($codigoproducto)), __LINE__);
        }
        $this->codigoproducto = $codigoproducto;
        return $this;
    }
    /**
     * Get precioproducto value
     * @return string|null
     */
    public function getPrecioproducto()
    {
        return $this->precioproducto;
    }
    /**
     * Set precioproducto value
     * @param string $precioproducto
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPrecioproducto($precioproducto = null)
    {
        // validation for constraint: string
        if (!is_null($precioproducto) && !is_string($precioproducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($precioproducto, true), gettype($precioproducto)), __LINE__);
        }
        $this->precioproducto = $precioproducto;
        return $this;
    }
    /**
     * Get cantidadproducto value
     * @return string|null
     */
    public function getCantidadproducto()
    {
        return $this->cantidadproducto;
    }
    /**
     * Set cantidadproducto value
     * @param string $cantidadproducto
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setCantidadproducto($cantidadproducto = null)
    {
        // validation for constraint: string
        if (!is_null($cantidadproducto) && !is_string($cantidadproducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cantidadproducto, true), gettype($cantidadproducto)), __LINE__);
        }
        $this->cantidadproducto = $cantidadproducto;
        return $this;
    }
    /**
     * Get precionormal value
     * @return string|null
     */
    public function getPrecionormal()
    {
        return $this->precionormal;
    }
    /**
     * Set precionormal value
     * @param string $precionormal
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPrecionormal($precionormal = null)
    {
        // validation for constraint: string
        if (!is_null($precionormal) && !is_string($precionormal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($precionormal, true), gettype($precionormal)), __LINE__);
        }
        $this->precionormal = $precionormal;
        return $this;
    }
    /**
     * Get preciooferta value
     * @return string|null
     */
    public function getPreciooferta()
    {
        return $this->preciooferta;
    }
    /**
     * Set preciooferta value
     * @param string $preciooferta
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPreciooferta($preciooferta = null)
    {
        // validation for constraint: string
        if (!is_null($preciooferta) && !is_string($preciooferta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($preciooferta, true), gettype($preciooferta)), __LINE__);
        }
        $this->preciooferta = $preciooferta;
        return $this;
    }
    /**
     * Get preciocredito value
     * @return string|null
     */
    public function getPreciocredito()
    {
        return $this->preciocredito;
    }
    /**
     * Set preciocredito value
     * @param string $preciocredito
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPreciocredito($preciocredito = null)
    {
        // validation for constraint: string
        if (!is_null($preciocredito) && !is_string($preciocredito)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($preciocredito, true), gettype($preciocredito)), __LINE__);
        }
        $this->preciocredito = $preciocredito;
        return $this;
    }
    /**
     * Get precioganguita value
     * @return string|null
     */
    public function getPrecioganguita()
    {
        return $this->precioganguita;
    }
    /**
     * Set precioganguita value
     * @param string $precioganguita
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setPrecioganguita($precioganguita = null)
    {
        // validation for constraint: string
        if (!is_null($precioganguita) && !is_string($precioganguita)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($precioganguita, true), gettype($precioganguita)), __LINE__);
        }
        $this->precioganguita = $precioganguita;
        return $this;
    }
    /**
     * Get ganguitas value
     * @return string|null
     */
    public function getGanguitas()
    {
        return $this->ganguitas;
    }
    /**
     * Set ganguitas value
     * @param string $ganguitas
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setGanguitas($ganguitas = null)
    {
        // validation for constraint: string
        if (!is_null($ganguitas) && !is_string($ganguitas)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ganguitas, true), gettype($ganguitas)), __LINE__);
        }
        $this->ganguitas = $ganguitas;
        return $this;
    }
    /**
     * Get formadepago value
     * @return string|null
     */
    public function getFormadepago()
    {
        return $this->formadepago;
    }
    /**
     * Set formadepago value
     * @param string $formadepago
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setFormadepago($formadepago = null)
    {
        // validation for constraint: string
        if (!is_null($formadepago) && !is_string($formadepago)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($formadepago, true), gettype($formadepago)), __LINE__);
        }
        $this->formadepago = $formadepago;
        return $this;
    }
    /**
     * Get estado value
     * @return string|null
     */
    public function getEstado()
    {
        return $this->estado;
    }
    /**
     * Set estado value
     * @param string $estado
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public function setEstado($estado = null)
    {
        // validation for constraint: string
        if (!is_null($estado) && !is_string($estado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($estado, true), gettype($estado)), __LINE__);
        }
        $this->estado = $estado;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \LaGangaServices\StructType\LaGangaServicesWSProductos
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
